org.apache.cassandra.cql3

## Interface CQLFragmentParser.CQLParserFunction<R>

Enclosing class:
  CQLFragmentParser

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface CQLFragmentParser.CQLParserFunction<R>

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `parse(org.apache.cassandra.cql3.CqlParser parser)`

### Method Detail

#### parse

    R parse(org.apache.cassandra.cql3.CqlParser parser)
     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`